Petite mise à jour pour le site

Bonjour,

Sur cette page https://lilypond.org/development.fr.html
Il y a un lien cassé : Mac OS X x86 64-bit (non officiel)

Par ailleurs, pourriez-vous mentionner que pour installer LilyPond sur Mac, il existe aussi la possibilité d’utiliser Homebrew https://brew.sh
Vous trouverez deux installation possible lilypond et lilypond-dev en fonction des besoin de chacun.

Bien cordialement,
Philippe aka papilip

Bonjour,

Oui, je confirme le lien cassé. De toute façon, j'avais encore consulté cette page il y a 2-3 jours et elle s'était arrêtée à la version 2.20. Je suis en train de configurer 85 MacBookPro M1 (pour une école) et je suis emprunté pour y installer Lilypond. Je pensais que les solutions HomeBrew ou MacPorts n'étaient pas envisageables dans ce cas, parce que mes installations se font via Munki (un genre d'AppStore hébergés sur nos serveurs).

Question : est-ce que le paquet Lilypond.app installé via Homebrew ou MacPorts peut ensuite être simplement copié dans le dossier Applications d'un autre ordinateur, sur lequel ni Homebrew ni MacPorts est installé ?

Bonne journée,

···

Christophe Pochon

Bonjour Christophe,

Je ne peux pas te répondre pour MacPorts.

En revanche, pour Homebrew, le principe est de ne pas manipuler de fichiers.
Un simple `brew install lilypond-dev` fait le travail.
Voici le résultat

==> Installing Cask lilypond-dev
==> Moving App 'LilyPond.app' to '/Applications/LilyPond.app'
==> Linking Binary 'convert-ly.wrapper.sh' to '/usr/local/bin/convert-ly'
==> Linking Binary 'lilypond.wrapper.sh' to '/usr/local/bin/lilypond'
==> Linking Binary 'musicxml2ly.wrapper.sh' to '/usr/local/bin/musicxml2ly'
==> Linking Binary 'lilypond-book.wrapper.sh' to '/usr/local/bin/lilypond-book'
==> Linking Binary 'abc2ly.wrapper.sh' to '/usr/local/bin/abc2ly'
🍺  lilypond-dev was successfully installed!

Je suppose que tu peux récupérer le dossier `LilyPond.app` et le déplacer sur un autre ordinateur.

Dans les installations que je fais, Homebrew fait le travail en une seule ligne de commande.
https://gist.github.com/papilip/b9aa0184328a9a18b71f8620e220453b#file-brew-txt

Philippe

···

Le 6 mai 2021 à 11:57, Christophe Pochon <****@****> a écrit :

Bonjour,

Oui, je confirme le lien cassé. De toute façon, j'avais encore consulté cette page il y a 2-3 jours et elle s'était arrêtée à la version 2.20. Je suis en train de configurer 85 MacBookPro M1 (pour une école) et je suis emprunté pour y installer Lilypond. Je pensais que les solutions HomeBrew ou MacPorts n'étaient pas envisageables dans ce cas, parce que mes installations se font via Munki (un genre d'AppStore hébergés sur nos serveurs).
Question : est-ce que le paquet Lilypond.app installé via Homebrew ou MacPorts peut ensuite être simplement copié dans le dossier Applications d'un autre ordinateur, sur lequel ni Homebrew ni MacPorts est installé ?

Bonne journée,

Christophe Pochon

Le jeu. 6 mai 2021 à 11:47, ****@**** <****@****> a écrit :
Bonjour,

Sur cette page https://lilypond.org/development.fr.html
Il y a un lien cassé : Mac OS X x86 64-bit (non officiel)

Par ailleurs, pourriez-vous mentionner que pour installer LilyPond sur Mac, il existe aussi la possibilité d’utiliser Homebrew https://brew.sh
Vous trouverez deux installation possible lilypond et lilypond-dev en fonction des besoin de chacun.

Bien cordialement,
Philippe aka papilip

Oui, c'est connu, j'ai fait la mise à jour très récemment :

https://gitlab.com/lilypond/lilypond/-/merge_requests/743

(Je n'ai pas encore compris pourquoi le site ne s'est pas mis à jour mais je suis dessus.)

C'est une bonne idée de mentionner HomeBrew ou MacPorts, je referai un tour sur ce fichier.

Cordialement,
Jean

···

Le 06/05/2021 à 11:47, ****@**** a écrit :

Bonjour,

Sur cette page https://lilypond.org/development.fr.html
Il y a un lien cassé : Mac OS X x86 64-bit (non officiel)

Par ailleurs, pourriez-vous mentionner que pour installer LilyPond sur Mac, il existe aussi la possibilité d’utiliser Homebrew https://brew.sh
Vous trouverez deux installation possible lilypond et lilypond-dev en fonction des besoin de chacun.

Bien cordialement,
Philippe aka papilip

C'est étrange.... Chez moi, brew install lilypond ne fonctionne pas. Et si je fais une recherche ici : https://formulae.brew.sh/cask/lilypond#default , ça dit que je dois faire brew -cask install lilypond, mais que ça ne fonctionne que sur les versions antérieures à MacOs 10.14. Ce qui sous-entend que c'est en 32 bits...
Et pas de trace de lilypond-dev.

Mais pourquoi chez toi ça marche ?

···

Christophe Pochon

Par contre sur MacPorts, il y a bien les toutes dernières versions, en 64 bit comme en M1 : https://ports.macports.org/?search=lilypond&search_by=name

···

Christophe Pochon

En effet, concernant la formule lilypond je n’avais pas installé et cela ne fonctionne pas.

➜ ~ brew install lilypond
==> Downloading [https://lilypond.org/downloads/binaries/darwin-x86/lilypond-2.22.1-1.darwin-x86.tar.bz2](https://lilypond.org/downloads/binaries/darwin-x86/lilypond-2.22.1-1.darwin-x86.tar.bz2)
######################################################################## 100.0%
Error: This cask does not run on macOS versions newer than Mojave.

Pour obtenir lilypond-dev, il faut installer
https://github.com/Homebrew/homebrew-cask-versions

brew tap homebrew/cask-versions

En revanche, c’est aussi une version 32 bits qui ne fonctionne pas avec macOS Big Sur 11.3
Lorsque la version 64 bits était disponible, je m’étais construit une recette brew pour l’installer.
Il me faut retravailler la question, je ne suis pas un fan de la compilation systématique.

Donc pour le moment lilypond et homebrew, c’est dans les choux.

Philippe

···

Le 6 mai 2021 à 15:25, Christophe Pochon <****@****> a écrit :

C'est étrange.... Chez moi, brew install lilypond ne fonctionne pas. Et si je fais une recherche ici : https://formulae.brew.sh/cask/lilypond#default , ça dit que je dois faire brew -cask install lilypond, mais que ça ne fonctionne que sur les versions antérieures à MacOs 10.14. Ce qui sous-entend que c'est en 32 bits...
Et pas de trace de lilypond-dev.

Mais pourquoi chez toi ça marche ?